-- https://adventofcode.com/2023/day/3
{-# LANGUAGE OverloadedStrings #-}

import           Data.Text    (Text)
import qualified Data.Text    as T
import qualified Data.Text.IO as T


main :: IO ()
main = do
  entries <- T.lines <$> T.readFile "src/advent_of_code/2023/input3"
  putStrLn "Advent of Code 2023 - Day 3"

  putStrLn ("Part 1: " <> show (solveP1 entries))
  putStrLn ("Part 2: " <> show (solveP2 entries))

--
-- Part 1
--

solveP1 = id

--
-- Part 2
--

solveP2 = id


--
-- Examples
--

example :: [[Char]]
example =
  [ "467..114.."
  , "...*......"
  , "..35..633."
  , "......#..."
  , "617*......"
  , ".....+.58."
  , "..592....."
  , "......755."
  , "...$.*...."
  , ".664.598.."
  ]
